import QtQuick 1.0
import com.meego 1.0

TemplateRemoteImage {

    id: templateRemoteImage

    property alias busyStyle: spinner.platformStyle

    BusyIndicator{

        id: spinner

        anchors.centerIn: templateRemoteImage
        running: false
        visible: false
    }

    onStatusChanged: {

        //console.log("busy remote image - on status changed :: " + status)

        if (templateRemoteImage.status == Image.Loading) {

            spinner.visible = true
            spinner.running = true

        } else {

            spinner.visible = false
            spinner.running = false
        }
    }
}
