import QtQuick 1.0
import "Util.js" as Util
import "Vars.js" as Vars

Visual {

    property bool iAmOnline : true
    property bool rightToLeftOrientation: Vars.rightToLeftOrientation
    //RssAddress

    property string rssAddress: "http://" + Vars.domain + "/link/nokia-rss.jsp?id=" + Vars.mippinID
    property string mippinID: Vars.mippinID

   // property string rssAddress: "http://rssout.mippin.com/link/rss.jsp?id=332696&cdata=1"
    property string feedUrl: rssAddress
    property string feedUrlTemplate: rssAddress

    //Template colors
    property color appTextColor: Vars.linkColor
    property color timestampFontColor: "#444444"
    property color linkColor: Vars.linkColor
    property color logoImageBgColor: Vars.logoImageBgColor
    property color appColor: Vars.frameColor
    property color titleBarTextColor: Vars.frameTextColor

    //Logo Image
    property string logoImage:Vars.logoImage

    //UI strings
    property string pleaseWaitText:Vars.pleaseWaitText
    property string seeOriginalStory:Vars.seeOriginalStory
    property string minuteSingle :Vars.minuteSingle
    property string minutePlural:Vars.minutePlural
    property string hourSingle:Vars.hourSingle
    property string hourPlural:Vars.hourPlural
    property string daySingle:Vars.daySingle
    property string dayPlural:Vars.dayPlural
    property string monthSingle:Vars.monthSingle
    property string monthPlural:Vars.monthPlural
    property string yearSingle:Vars.yearSingle
    property string yearPlural:Vars.yearPlural
    property string justPublished:Vars.justPublished
    property string viewVideo:Vars.viewVideo
    property string downloadAudio:Vars.downloadAudio
    property string siteBox:Vars.siteBox
    property string articleBox:Vars.articleBox
    property string sms:Vars.sms
    property string email:Vars.email
    property string twitter:Vars.twitter
    property string facebook:Vars.facebook
    property string siteText:Vars.siteText
    property string articleText:Vars.articleText
    property string publisher:Vars.publisher
    property double version:Vars.version
    property string description:Vars.description
    property string updatecheck:Vars.updatecheck
    property string noupdate:Vars.noupdate
    property string updateAvailable:Vars.updateAvailable
    property string updateCheckUrl:Vars.updateCheckUrl
    property string autoUpdateAvailable:Vars.autoUpdateAvailable
    property string autoUpdateInstall:Vars.autoUpdateInstall
    property string autoUpdateNoMore:Vars.autoUpdateNoMore
    property string autoUpdateInstallYes:Vars.autoUpdateInstallYes
    property string autoUpdateInstallNo:Vars.autoUpdateInstallNo
    property string share:Vars.share
    property string createdWith:Vars.createdWith
    property string advertPrefix: "http://" + Vars.domain + "/link/nokia-ads.jsp?id=" + Vars.mippinID + "&adnum=1"
    property string pull2Refresh: Vars.pull2Refresh
    property string release2Refresh: Vars.release2Refresh
    property string networkerror:Vars.networkerror
    property string oviFooterString: Vars.oviFooterString
    property string oviUrl:Vars.oviUrl
    property string content: Vars.content
    property string analyticsId: Vars.trackId

    //onFeedUrlChanged: {Util.log("properties - feed url changed :: " + feedUrl)}
}
