import QtQuick 1.0
import "Util.js" as Util

Rectangle {

    id: barItem

    signal launchWebView(string advertClickUrl)

    width: advertFrame.width
    height: advertFrame.height

    Rectangle {

        id: advertFrame

        anchors {
            left: barItem.left
            top:barItem.top
            margins: 0
        }
        height: /*topLogo.height +*/ advert.height
        width: container.width

        //background color for branding image
       /* Rectangle{
            anchors{
                left:parent.left
                top:parent.top
            }
            height: topLogo.height
            width: parent.width
            color:props.theme.logoImageBgColor
        }*/


        /*Image {
            id: topLogo
            height:60

            anchors {

                top: parent.top
                left: parent.left
                margins: 0
            }
            visible: true
            source: props.theme.logoImage
            fillMode: "PreserveAspectFit"
            smooth: true
        }*/

        Advert {

            id: advert
            anchors {

                top: parent.top
                horizontalCenter: parent.horizontalCenter
                margins: 0
            }
            onAdvertClicked: {
                //Util.log("section header - on advert clicked with - " + advertClickUrl)
                launchWebView(advertClickUrl)
            }

        }
    }
}
